SpriteLibrary

# SpriteController
ReturnPointAdjustedForImage Method

This takes a point, the location on a picturebox, and returns the corresponding point on the BackgroundImage. Picturebox locations are "sloppy"; the background image locations are very precise. Since this takes a "sloppy" number and returns a precise number, it does some rounding to figure out where the specified location is.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public Point ReturnPointAdjustedForImage(
    	Point LocationOnPicturebox
    )

#### Parameters

LocationOnPicturebox
  Type: System.Drawing
  Point
  A point on the picturebox that you want the corresponding image pixel location for.

#### Return Value

Type: Point
A point (x,y) on the background image which corresponds to the picture-box coordinates you sent into the function.
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace